From aebfe594584e7c5cca30062d643618fc2ab8144b Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
Date: Sun, 1 Mar 2015 23:08:02 +0100
Subject: [PATCH] set codeset for gettext to utf-8

---
 apps/blueman-adapters                |  2 ++
 apps/blueman-assistant               |  2 ++
 apps/blueman-manager                 |  2 ++
 apps/blueman-sendto                  |  2 ++
 apps/blueman-services                |  2 ++
 blueman/gui/GsmSettings.py           |  2 ++
 blueman/gui/applet/PluginDialog.py   |  4 +++-
 blueman/plugins/applet/NetUsage.py   |  3 ++-
 blueman/plugins/services/Network.py  |  3 ++-
 blueman/plugins/services/Transfer.py |  2 ++
 11 files changed, 29 insertions(+), 6 deletions(-)

diff --git a/apps/blueman-adapters b/apps/blueman-adapters
index a961480..3759ba8 100755
--- a/apps/blueman-adapters
+++ b/apps/blueman-adapters
@@ -6,6 +6,7 @@ from gi.repository import Pango
 import os.path
 import sys
 import signal
+from locale import bind_textdomain_codeset
 
 #support running uninstalled
 _dirname = os.path.abspath(os.path.join(os.path.dirname(__file__), '..'))
@@ -36,6 +37,7 @@ class BluemanAdapters:
 
         builder = Gtk.Builder()
         builder.set_translation_domain("blueman")
+        bind_textdomain_codeset("blueman", "UTF-8")
         builder.add_from_file(UI_PATH + "/adapters.ui")
         self.dialog = builder.get_object("dialog")
 
diff --git a/apps/blueman-assistant b/apps/blueman-assistant
index 7d96ec7..c322256 100755
--- a/apps/blueman-assistant
+++ b/apps/blueman-assistant
@@ -16,6 +16,7 @@ import random
 import signal
 import dbus.glib
 from optparse import OptionParser
+from locale import bind_textdomain_codeset
 
 #support running uninstalled
 _dirname = os.path.abspath(os.path.join(os.path.dirname(__file__), '..'))
@@ -62,6 +63,7 @@ class Assistant:
 
         self.Builder = Gtk.Builder()
         self.Builder.set_translation_domain("blueman")
+        bind_textdomain_codeset("blueman", "UTF-8")
         self.Builder.add_from_file(UI_PATH + "/assistant.ui")
         self.assistant = self.Builder.get_object("assistant")
         self.assistant.set_title(_("Bluetooth Assistant"))
diff --git a/apps/blueman-manager b/apps/blueman-manager
index 666f16c..af23015 100755
--- a/apps/blueman-manager
+++ b/apps/blueman-manager
@@ -8,6 +8,7 @@ from dbus.mainloop.glib import DBusGMainLoop
 from blueman.Constants import *
 import gi
 gi.require_version("Gtk", "3.0")
+from locale import bind_textdomain_codeset
 from gi.repository import Gtk
 from gi.repository import GObject
 from blueman.bluez.BlueZInterface import BlueZInterface
@@ -46,6 +47,7 @@ class Blueman:
 
         self.Builder = Gtk.Builder()
         self.Builder.set_translation_domain("blueman")
+        bind_textdomain_codeset("blueman", "UTF-8")
         self.Builder.add_from_file(UI_PATH + "/manager-main.ui")
 
         self.window = self.Builder.get_object("window")
diff --git a/apps/blueman-sendto b/apps/blueman-sendto
index 06ad626..a7099ab 100755
--- a/apps/blueman-sendto
+++ b/apps/blueman-sendto
@@ -13,6 +13,7 @@ from optparse import OptionParser
 import gettext
 import urllib
 import time
+from locale import bind_textdomain_codeset
 
 from blueman.Constants import *
 import gi
@@ -48,6 +49,7 @@ class Sender(GObject.GObject):
         GObject.GObject.__init__(self)
         self.Builder = Gtk.Builder()
         self.Builder.set_translation_domain("blueman")
+        bind_textdomain_codeset("blueman", "UTF-8")
         self.Builder.add_from_file(UI_PATH + "/send-dialog.ui")
         self.window = self.Builder.get_object("window")
 
diff --git a/apps/blueman-services b/apps/blueman-services
index fb1428d..e3e708b 100755
--- a/apps/blueman-services
+++ b/apps/blueman-services
@@ -2,6 +2,7 @@
 
 import os
 import sys
+from locale import bind_textdomain_codeset
 #support running uninstalled
 _dirname = os.path.abspath(os.path.join(os.path.dirname(__file__), '..'))
 if os.path.exists(os.path.join(_dirname, "CHANGELOG.md")):
@@ -29,6 +30,7 @@ class BluemanServices:
 
         self.Builder = Gtk.Builder()
         self.Builder.set_translation_domain("blueman")
+        bind_textdomain_codeset("blueman", "UTF-8")
         self.Builder.add_from_file(UI_PATH + "/services.ui")
 
         self.Config = Config()
diff --git a/blueman/gui/GsmSettings.py b/blueman/gui/GsmSettings.py
index b12f77f..cc80492 100644
--- a/blueman/gui/GsmSettings.py
+++ b/blueman/gui/GsmSettings.py
@@ -3,6 +3,7 @@ from blueman.Functions import *
 from blueman.Constants import *
 
 from gi.repository import Gtk
+from locale import bind_textdomain_codeset
 
 
 class GsmSettings(Gtk.Dialog):
@@ -13,6 +14,7 @@ class GsmSettings(Gtk.Dialog):
 
         self.Builder = Gtk.Builder()
         self.Builder.set_translation_domain("blueman")
+        bind_textdomain_codeset("blueman", "UTF-8")
         self.Builder.add_from_file(UI_PATH + "/gsm-settings.ui")
 
         vbox = self.Builder.get_object("vbox1")
diff --git a/blueman/gui/applet/PluginDialog.py b/blueman/gui/applet/PluginDialog.py
index 71dd742..3a1f932 100644
--- a/blueman/gui/applet/PluginDialog.py
+++ b/blueman/gui/applet/PluginDialog.py
@@ -1,4 +1,5 @@
 from gi.repository import Gtk
+from locale import bind_textdomain_codeset
 from blueman.Constants import *
 from blueman.Functions import *
 
@@ -97,7 +98,8 @@ class PluginDialog(Gtk.Dialog):
 
         self.Builder = Gtk.Builder()
         self.Builder.set_translation_domain("blueman")
-        self.Builder.add_from_file(UI_PATH + "/applet-plugins-widget.ui")
+        bind_textdomain_codeset("blueman", "UTF-8")
+        self.Builder.add_from_file(UI_PATH + "/applet-plugins-widget.ui")
 
         self.set_title(_("Plugins"))
         self.props.icon_name = "blueman"
diff --git a/blueman/plugins/applet/NetUsage.py b/blueman/plugins/applet/NetUsage.py
index f6acb1f..5545112 100644
--- a/blueman/plugins/applet/NetUsage.py
+++ b/blueman/plugins/applet/NetUsage.py
@@ -17,7 +17,7 @@ import dbus
 import time
 import datetime
 import gettext
-
+from locale import bind_textdomain_codeset
 
 class MonitorBase(GObject.GObject):
     __gsignals__ = {
@@ -134,6 +134,7 @@ class Dialog:
         builder = Gtk.Builder()
         builder.add_from_file(UI_PATH + "/net-usage.ui")
         builder.set_translation_domain("blueman")
+        bind_textdomain_codeset("blueman", "UTF-8")
 
         self.dialog = builder.get_object("dialog")
         self.dialog.connect("response", self.on_response)
diff --git a/blueman/plugins/services/Network.py b/blueman/plugins/services/Network.py
index 278121e..e688e68 100644
--- a/blueman/plugins/services/Network.py
+++ b/blueman/plugins/services/Network.py
@@ -1,4 +1,5 @@
 from gi.repository import Gtk
+from locale import bind_textdomain_codeset
 from blueman.Constants import *
 from blueman.Functions import have, dprint, mask_ip4_address
 from blueman.Lib import get_net_interfaces, get_net_address, get_net_netmask
@@ -19,7 +19,8 @@ class Network(ServicePlugin):
 
         self.Builder = Gtk.Builder()
         self.Builder.set_translation_domain("blueman")
+        bind_textdomain_codeset("blueman", "UTF-8")
         self.Builder.add_from_file(UI_PATH + "/services-network.ui")
         self.widget = self.Builder.get_object("network")
 
         self.ignored_keys = []
diff --git a/blueman/plugins/services/Transfer.py b/blueman/plugins/services/Transfer.py
index d14d0eb..c3e71ad 100644
--- a/blueman/plugins/services/Transfer.py
+++ b/blueman/plugins/services/Transfer.py
@@ -1,4 +1,5 @@
 from gi.repository import Gtk
+from locale import bind_textdomain_codeset
 from blueman.Constants import *
 from blueman.plugins.ServicePlugin import ServicePlugin
 
@@ -14,6 +15,7 @@ class Transfer(ServicePlugin):
 
         self.Builder = Gtk.Builder()
         self.Builder.set_translation_domain("blueman")
+        bind_textdomain_codeset("blueman", "UTF-8")
         self.Builder.add_from_file(UI_PATH + "/services-transfer.ui")
         self.widget = self.Builder.get_object("transfer")
 
-- 
2.3.1

